import CoUxDropdownTree from '../../../../components/10x/ux/ux-dropdown-tree.js';
import EuiBasePage from '../eui-base.po.js';

export default class DropdownTreePage extends EuiBasePage {
  constructor() {
      super();
  }
  dropdownTreeByIndex(index) {
    let dropdownTree1 =  new CoUxDropdownTree(this.mainContent);
    return dropdownTree1.byIndex(index);
  }
  dropdownTreeByTextContains(text) {
    let dropdownTree1 = new CoUxDropdownTree(this.mainContent);
    return dropdownTree1.byTextContains(text);
  }
  dropdownTreeByTextEqualsAndIndex(text, index, normalize=true) {
    let dropdownTree1 = new CoUxDropdownTree(this.mainContent);
    return dropdownTree1.byTextEqualsAndIndex(text, index, normalize);
  }
  dropdownTreeFromSectionById(id) {
    return new CoUxDropdownTree(this.sectionById(id));
  }
  dropdownTreeFromSectionWithIdByIndex(id, index) {
    let dropdownTree1 = new CoUxDropdownTree(this.sectionById(id));
    return dropdownTree1.byIndex(index);
  }
}


